search.hpp File Reference

## Functions

template<typename I1 , typename S1 , typename I2 , typename S2 , typename C = equal_to, typename P1 = identity, typename P2 = identity>
CPP_TEMPLATE_AUX_0 | ranges::c (requires forward_iterator< I1 > &&sentinel_for< S1, I1 > &&forward_iterator< I2 > &&sentinel_for< S2, I2 > &&indirectly_comparable< I1, I2, C, P1, P2 >) ccconstexpr subrange< I1 > search(I1 begin1
| function template `search`

## Variables

CPP_TEMPLATE_AUX_0 S1 I2 S2 C P1 P2 | ranges::P1 = identity
CPP_TEMPLATE_AUX_0 S1 I2 S2 C P1 P2 | ranges::proj2